import { Injectable } from "@angular/core";

import { STEPS } from "@app/models/investment-proposal-workflow";
import { Instrument } from "@app/models/instrument";
import { LETE } from "@app/components/instruments/lete/lete.component";
import { CETE } from "@app/components/instruments/cete/cete.component";
import { VCN } from "@app/components/instruments/vcn/vcn.component";
import { PBUR } from "@app/components/instruments/pbur/pbur.component";
import { BonosComponent } from "@app/components/instruments/bonos/bonos.component";
import { DAP } from "@app/components/instruments/dap/dap.component";
import { ANCComponent } from "@app/components/instruments/anc/anc.component";
import { APNComponent } from "@app/components/instruments/apn/apn.component";

@Injectable({
  providedIn: "root"
})
export class InstrumentsService {
  workflow = [
    { step: STEPS.general, valid: true }, // test purposes
    { step: STEPS.work, valid: true },
    { step: STEPS.complement, valid: true },
    { step: STEPS.result, valid: true }
  ];

  getInstruments() {
    return [
      new Instrument(LETE, { key: "LETE", name: "Lete" }),
      new Instrument(CETE, { key: "CETE", name: "Cete" }),
      new Instrument(VCN, {
        key: "VCN",
        name: "Valores comerciales negociables"
      }),
      new Instrument(PBUR, { key: "PBUR", name: "Papel bursátil" }),

      new Instrument(BonosComponent, { key: "BONOS", name: "Bonos" }),
      new Instrument(DAP, {
        key: "DAP",
        name: "Depósitos a plazo"
      }),
      new Instrument(ANCComponent, {
        key: "ANC",
        name: "Acciones nacionales comunes"
      }),
      new Instrument(APNComponent, {
        key: "APN",
        name: "Acciones preferentes nacionales"
      })
    ];
  }
}
